Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.bzip2
Class Bzip2FileObject

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractFileObject
          org.apache.commons.vfs.provider.compressed.CompressedFileFileObject
              org.apache.commons.vfs.provider.bzip2.Bzip2FileObject

All Implemented Interfaces:
  FileObject

public class Bzip2FileObject
extends CompressedFileFileObject

the bzip2 file

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Mario Ivankovits

Constructor Summary
`protected` | `Bzip2FileObject(FileName name, FileObject container, CompressedFileFileSystem fs)`

Method Summary
`protected InputStream` | `doGetInputStream()` Creates an input stream to read the file content from.
`protected OutputStream` | `doGetOutputStream(boolean bAppend)` Creates an output stream to write the file content to.
`static InputStream` | `wrapInputStream(String name, InputStream is)`

Methods inherited from class org.apache.commons.vfs.provider.compressed.CompressedFileFileObject
`createFile, doGetContentSize, doGetLastModifiedTime, doGetType, doListChildren, getContainer, isWriteable`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileObject
`canRenameTo, childrenChanged, childrenChanged, close, copyFrom, createFolder, delete, delete, doAttach, doCreateFolder, doDelete, doDetach, doGetAttributes, doGetCertificates, doGetRandomAccessContent, doIsHidden, doIsReadable, doIsSameFile, doIsWriteable, doListChildrenResolved, doRename, doSetAttribute, doSetLastModifiedTime, endOutput, exists, finalize, findFiles, findFiles, getChild, getChildren, getContent, getFileContentInfoFactory, getFileOperations, getFileSystem, getInputStream, getName, getOutputStream, getOutputStream, getParent, getRandomAccessContent, getType, getURL, handleChanged, handleCreate, handleDelete, holdObject, injectType, isAttached, isContentOpen, isHidden, isReadable, isSameFile, moveTo, notifyAllStreamsClosed, onChange, onChildrenChanged, refresh, resolveFile, resolveFile, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.vfs.FileObject
`canRenameTo, close, copyFrom, createFolder, delete, delete, exists, findFiles, findFiles, getChild, getChildren, getContent, getFileOperations, getFileSystem, getName, getParent, getType, getURL, isAttached, isContentOpen, isHidden, isReadable, moveTo, refresh, resolveFile, resolveFile`

Constructor Detail

### Bzip2FileObject

    protected Bzip2FileObject(FileName name,
                              FileObject container,
                              CompressedFileFileSystem fs)

Method Detail

### doGetInputStream

    protected InputStream doGetInputStream()
                                    throws Exception

  Description copied from class: `AbstractFileObject`
  Creates an input stream to read the file content from. Is only called if `AbstractFileObject.doGetType()` returns `FileType.FILE`.

  It is guaranteed that there are no open output streams for this file when this method is called.

  The returned stream does not have to be buffered.

  Specified by:
    `doGetInputStream` in class `AbstractFileObject`
  Throws:
    `Exception`

### wrapInputStream

    public static InputStream wrapInputStream(String name,
                                              InputStream is)
                                       throws IOException

  Throws:
    `IOException`

### doGetOutputStream

    protected OutputStream doGetOutputStream(boolean bAppend)
                                      throws Exception

  Description copied from class: `AbstractFileObject`
  Creates an output stream to write the file content to. Is only called if:
  - `AbstractFileObject.doIsWriteable()` returns true.
  - `AbstractFileObject.doGetType()` returns `FileType.FILE`, or `AbstractFileObject.doGetType()` returns `FileType.IMAGINARY`, and the file's parent exists and is a folder.

  It is guaranteed that there are no open stream (input or output) for this file when this method is called.

  The returned stream does not have to be buffered.

  This implementation throws an exception.

  Overrides:
    `doGetOutputStream` in class `AbstractFileObject`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.